﻿#End-Users can currently modify their Work, Fax, Mobile, and Home Phone numbers in ECP
#End-Users should be only be allowed to modify their Home Phone number in ECP

New-ManagementRole -Name MyContactInfo -Parent MyContactInformation

$parameters = Get-ManagementRoleEntry "MyContactInfo\Set-User" |
  Select-Object -ExpandProperty parameters

$parameters = $parameters | 
  Where-Object{
    ($_ -ne "Phone") -and ($_ -ne "MobilePhone") -and ($_ -ne "Fax")
  }

Set-ManagementRoleEntry –Identity "MyContactInfo\Set-User" -Parameters $parameters

Remove-ManagementRoleAssignment -Identity "MyContactInformation-Default Role Assignment Policy" -Confirm:$false

New-ManagementRoleAssignment -Role MyContactInfo -Policy "Default Role Assignment Policy"